import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { PpUser } from '../models/index';
/**
 * @author auto generate
 * @version 1.2
 * @date 2020-12-29 15:31
 */
interface PpUserCU extends ConditionUtil<PpUserCU> {
    ID: FieldUtil<PpUserCU>;
    NICK_NAME: FieldUtil<PpUserCU>;
    AVATAR: FieldUtil<PpUserCU>;
    PHONE: FieldUtil<PpUserCU>;
    EMAIL: FieldUtil<PpUserCU>;
    GENDER: FieldUtil<PpUserCU>;
    COMMON_LPN: FieldUtil<PpUserCU>;
    BINDED_LPN: FieldUtil<PpUserCU>;
    PROV_ID: FieldUtil<PpUserCU>;
    CITY_ID: FieldUtil<PpUserCU>;
    DISTRICT_ID: FieldUtil<PpUserCU>;
    SPARE_FIELD_1: FieldUtil<PpUserCU>;
    SPARE_FIELD_2: FieldUtil<PpUserCU>;
    SPARE_FIELD_3: FieldUtil<PpUserCU>;
    SPARE_FIELD_4: FieldUtil<PpUserCU>;
    REMARK: FieldUtil<PpUserCU>;
    CREATE_TIME: FieldUtil<PpUserCU>;
    UPDATE_TIME: FieldUtil<PpUserCU>;
}
declare class PpUserMU extends TableUtilImpl<PpUserCU, PpUser> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): PpUserCU;
    static get ID(): FieldUtil<PpUserCU>;
    static get NICK_NAME(): FieldUtil<PpUserCU>;
    static get AVATAR(): FieldUtil<PpUserCU>;
    static get PHONE(): FieldUtil<PpUserCU>;
    static get EMAIL(): FieldUtil<PpUserCU>;
    static get GENDER(): FieldUtil<PpUserCU>;
    static get COMMON_LPN(): FieldUtil<PpUserCU>;
    static get BINDED_LPN(): FieldUtil<PpUserCU>;
    static get PROV_ID(): FieldUtil<PpUserCU>;
    static get CITY_ID(): FieldUtil<PpUserCU>;
    static get DISTRICT_ID(): FieldUtil<PpUserCU>;
    static get SPARE_FIELD_1(): FieldUtil<PpUserCU>;
    static get SPARE_FIELD_2(): FieldUtil<PpUserCU>;
    static get SPARE_FIELD_3(): FieldUtil<PpUserCU>;
    static get SPARE_FIELD_4(): FieldUtil<PpUserCU>;
    static get REMARK(): FieldUtil<PpUserCU>;
    static get CREATE_TIME(): FieldUtil<PpUserCU>;
    static get UPDATE_TIME(): FieldUtil<PpUserCU>;
    get ID(): FieldUtil<PpUserCU>;
    get NICK_NAME(): FieldUtil<PpUserCU>;
    get AVATAR(): FieldUtil<PpUserCU>;
    get PHONE(): FieldUtil<PpUserCU>;
    get EMAIL(): FieldUtil<PpUserCU>;
    get GENDER(): FieldUtil<PpUserCU>;
    get COMMON_LPN(): FieldUtil<PpUserCU>;
    get BINDED_LPN(): FieldUtil<PpUserCU>;
    get PROV_ID(): FieldUtil<PpUserCU>;
    get CITY_ID(): FieldUtil<PpUserCU>;
    get DISTRICT_ID(): FieldUtil<PpUserCU>;
    get SPARE_FIELD_1(): FieldUtil<PpUserCU>;
    get SPARE_FIELD_2(): FieldUtil<PpUserCU>;
    get SPARE_FIELD_3(): FieldUtil<PpUserCU>;
    get SPARE_FIELD_4(): FieldUtil<PpUserCU>;
    get REMARK(): FieldUtil<PpUserCU>;
    get CREATE_TIME(): FieldUtil<PpUserCU>;
    get UPDATE_TIME(): FieldUtil<PpUserCU>;
}
export { PpUserMU, PpUserCU };
